Skip to main content
PUT
Link External Wallet to User

Headers

X-API-KEY
string
required

API key required for authentication

Path Parameters

userLocator
string
required

A user locator can be of the format:

  • email:<email>
  • userId:<userId>
  • phoneNumber:<phoneNumber>
  • twitter:<handle>
  • x:<handle>
address
string
required

Body

application/json
chain
enum<string>
required

The blockchain of the wallet

Available options:
abstract,
abstract-testnet,
apechain,
aptos,
arbitrum,
arbitrum-sepolia,
arbitrumnova,
arc-testnet,
astar-zkevm,
avalanche,
avalanche-fuji,
base,
base-goerli,
base-sepolia,
bsc,
bsc-testnet,
chiliz,
chiliz-spicy-testnet,
coti,
coti-testnet,
crossmint-private-testnet-ethereum,
crossmint-private-testnet-polygon,
curtis,
ethereum,
ethereum-goerli,
ethereum-sepolia,
flow,
flow-testnet,
hedera,
hedera-testnet,
hypersonic-testnet,
lightlink,
lightlink-pegasus,
mantle,
mantle-sepolia,
mode,
mode-sepolia,
optimism,
optimism-goerli,
optimism-sepolia,
plume,
plume-testnet,
polygon,
polygon-amoy,
polygon-mumbai,
rari,
rari-testnet,
robinhood-chain,
robinhood-chain-testnet,
scroll,
scroll-sepolia,
sei-atlantic-2-testnet,
sei-pacific-1,
shape,
shape-sepolia,
skale-nebula,
skale-nebula-testnet,
solana,
soneium,
soneium-minato-testnet,
space,
space-testnet,
stellar,
story,
story-testnet,
sui,
tempo,
tempo-testnet,
u2u-nebulas,
u2u-solaris,
verify-testnet,
viction,
viction-testnet,
world-chain,
world-chain-sepolia,
xai,
xai-sepolia-testnet,
xion,
zenchain-testnet,
zkatana,
zkyoto,
zora,
zora-goerli,
zora-sepolia
Example:

"solana"

proof
string

A signed message proving ownership of the wallet

Minimum string length: 1

Response

200 - application/json

Wallet linked to user

address
string
required

The wallet address

Example:

"0x1234567890abcdef1234567890abcdef12345678"

chain
enum<string>
required

The blockchain of the wallet

Available options:
abstract,
abstract-testnet,
apechain,
aptos,
arbitrum,
arbitrum-sepolia,
arbitrumnova,
arc-testnet,
astar-zkevm,
avalanche,
avalanche-fuji,
base,
base-goerli,
base-sepolia,
bsc,
bsc-testnet,
chiliz,
chiliz-spicy-testnet,
coti,
coti-testnet,
crossmint-private-testnet-ethereum,
crossmint-private-testnet-polygon,
curtis,
ethereum,
ethereum-goerli,
ethereum-sepolia,
flow,
flow-testnet,
hedera,
hedera-testnet,
hypersonic-testnet,
lightlink,
lightlink-pegasus,
mantle,
mantle-sepolia,
mode,
mode-sepolia,
optimism,
optimism-goerli,
optimism-sepolia,
plume,
plume-testnet,
polygon,
polygon-amoy,
polygon-mumbai,
rari,
rari-testnet,
robinhood-chain,
robinhood-chain-testnet,
scroll,
scroll-sepolia,
sei-atlantic-2-testnet,
sei-pacific-1,
shape,
shape-sepolia,
skale-nebula,
skale-nebula-testnet,
solana,
soneium,
soneium-minato-testnet,
space,
space-testnet,
stellar,
story,
story-testnet,
sui,
tempo,
tempo-testnet,
u2u-nebulas,
u2u-solaris,
verify-testnet,
viction,
viction-testnet,
world-chain,
world-chain-sepolia,
xai,
xai-sepolia-testnet,
xion,
zenchain-testnet,
zkatana,
zkyoto,
zora,
zora-goerli,
zora-sepolia
Example:

"ethereum"

ownership
object
required

Ownership verification status of the wallet

type
enum<string>
required

The type of linked wallet

Available options:
external-wallet
Example:

"external-wallet"